# 3.3. Opzioni da linea di comando

     wuebben: ./kmidi -h
      KMidi version 0.3  MIDI to WAVE player/converter
      Copyright (C) 1995 Bernd Johannes Wuebben <wuebben@math.cornell.edu>

      KMidi is free software and comes with ABSOLUTELY NO WARRANTY.

     Usage:
       kmidi [options] filename [...]

     Options:
       -o file Output to another file (or device) (Use "-" for stdout)
       -O mode Select output mode and format (see below for list)
       -s f    Set sampling frequency to f (Hz or kHz)
       -a      Enable the antialiasing filter
       -f      Disable fast decay mode
       -p n    Allow n-voice polyphony
       -A n    Amplify volume by n percent (may cause clipping)
       -C n    Set ratio of sampling and control frequencies

       -L dir  Append dir to search path
       -c file Read extra configuration file
       -I n    Use program n as the default
       -P file Use patch file for all programs
       -D n    Play drums on channel n
       -Q n    Ignore channel n
       -F      Enable fast panning
       -U      Unload instruments from memory between MIDI files

       -i mode Select user interface (see below for list)
       -B n    Set number of buffer fragments
       -h      Display this help message

     Available output modes (-O option):

       -Od     Linux dsp device
       -Ow     RIFF WAVE file
       -Or     raw waveform data

     Output format options (append to -O? option):

        `8'    8-bit sample width
        `1'    16-bit sample width
        `U'    uLaw encoding
        `l'    linear encoding
        `M'    monophonic
        `S'    stereo
        `s'    signed output
        `u'    unsigned output
        `x'    byte-swapped output

     Available interfaces (-i option):

       -iq     kmidi qt  interface
       -id     dumb interface

     Interface options (append to -i? option):

        `v'    more verbose (cumulative)
        `q'    quieter (cumulative)
        `t'    trace playing